%bcond_without check
%global debug_package %{nil}

%global goipath         dario.cat/mergo
%global forgeurl        https://github.com/imdario/mergo
Version:                1.0.0

%gometa

%global goaltipaths     github.com/imdario/mergo

%global common_description %{expand:
A helper to merge structs and maps in Golang. Useful for configuration default
values, avoiding messy if-statements.}

%global golicenses      LICENSE
%global godocs          CODE_OF_CONDUCT.md CONTRIBUTING.md README.md\\\
                        SECURITY.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Tool to merge Go structs and maps

License:        BSD-3-Clause
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
